asm

    ;==============================================================
    ; Write text to name table
    ;==============================================================
    ; 1. Set VRAM write address to name table index 0
    ; by outputting $4000 ORed with $3800+0
    ld a,$00
    out ($bf),a
    ld a,$78     ;- ld a,$38|$40 
    out ($bf),a
    ; 2. Output tilemap data
    ld hl,Message
    ld bc,MessageEnd-Message  ; Counter for number of bytes to write
    WriteTextLoop:
        ld a,(hl)    ; Get data byte
        out ($be),a
        inc hl       ; Point to next letter
        dec bc
        ld a,b
        or c
        jp nz,WriteTextLoop

    ; Turn screen on
    ld a,%11000000
;          |||| |`- Zoomed sprites -> 16x16 pixels
;          |||| `-- Doubled sprites -> 2 tiles per sprite, 8x16
;          |||`---- 30 row/240 line mode
;          ||`----- 28 row/224 line mode
;          |`------ VBlank interrupts
;          `------- Enable display
    out ($bf),a
    ld a,$81
    out ($bf),a


   jp MessageEnd

Message:
defw $20,$21,$22,$23,$24,$25,$26,$27,$28,$29,$2A,$2B,$2C,$2D,$2E,$2F,$30,$31,$32,$33
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
defw $34,$35,$36,$37,$38,$39,$3A,$3B,$3C,$3D,$3E,$3F,$40,$41,$42,$43,$44,$45,$46,$47
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
defw $48,$49,$4A,$4B,$4C,$4D,$4E,$4F,$50,$51,$52,$53,$54,$55,$56,$57,$58,$59,$5A,$5B
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
defw $5C,$5D,$5E,$5F,$60,$61,$62,$63,$64,$65,$66,$67,$68,$69,$6A,$6B,$6C,$6D,$6E,$6F
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
defw $70,$71,$72,$73,$74,$75,$76,$77,$78,$79,$7A,$7B,$7C,$7D,$7E,$7F,$80,$81,$82,$83
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
defw $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

defb "H@e@l@l@o@ @W@o@r@l@d@!@!@!@"
;defw $48,$65,$6c,$6c,$6f,$00,$57,$6f,$72,$6c,$64,$21,$00

MessageEnd:



end asm



